<?php

/**
 * Phire Copy Page
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';

try {

    // If the correct variables are passed, find the page.
    if ((isset($_GET['pid'])) && (isset($_GET['uid']))) {

        $page = new Phire_Table_Pages();
        $page->findById($_GET['pid']);

        // If the page is found, duplicate the page entry.
        if (isset($page->page_id)) {

            // Check for URL duplicates.
            $i = 1;
            $org_page_title = $page->page_title;
            $org_page_url = $page->page_url;
            $page_title_copy = $org_page_title . ' (Copy)';
            $page_url_copy = $org_page_url . '-' . $i;

            $test_page = new Phire_Table_Pages();
            $test_page->execute("SELECT * FROM " . DB_PREFIX . "pages WHERE page_url = '" . $page_url_copy . "' AND site_id = '" . $page->site_id . "'");

            while (isset($test_page->rows[0])) {
                $i++;
                $page_title_copy = $org_page_title  . ' (Copy ' . $i . ')';
                $page_url_copy = $org_page_url . '-' . $i;
                $test_page = new Phire_Table_Pages();
                $test_page->execute("SELECT * FROM " . DB_PREFIX . "pages WHERE page_url = '" . $page_url_copy . "' AND site_id = '" . $page->site_id . "'");
            }

            // Once a new unique page URL is confirmed, set the fields and save the copy of the page.
            $fields = array('site_id' => $page->site_id,
                            'user_id' => $_GET['uid'],
                            'section_id' => $page->section_id,
                            'template_id' => $page->template_id,
                            'page_url' => $page_url_copy,
                            'page_charset' => $page->page_charset,
                            'page_title' => $page_title_copy,
                            'page_author' => $page->page_author,
                            'page_keywords' => $page->page_keywords,
                            'page_desc' => $page->page_desc,
                            'page_robots' => $page->page_robots,
                            'page_content' => $page->page_content,
                            'page_filter' => $page->page_filter,
                            'page_tags' => $page->page_tags,
                            'page_access' => $page->page_access,
                            'page_requests' => 0,
                            'comments_allowed' => $page->comments_allowed,
                            'force_ssl_connection' => $page->force_ssl_connection,
                            'published' => 'No',
                            'feed' => $page->feed,
                            'created' => date('Y-m-d H:i:s'),
                            'updated' => '0000-00-00');

            $pagecopy = new Phire_Table_Pages($fields);
            $pagecopy->save();

        }

    }

    $sess = Moc10_Session::getInstance();
    unset($sess->pages);

    $pages = new Phire_Table_Pages();
    $pages->findAll();

    $cfg = new Phire_Table_Config();
    $result = count($pages->rows) / $cfg->settings['system_pagination_limit'];
    $goToPage = ($result > 1) ? '?page=' . ceil($result) : null;

    if (isset($_GET['mobile'])) {
        header('Location: ' . BASE_PATH . SYS_PATH . '/mobile/content/pages.php' . $goToPage);
    } else {
        header('Location: ' . BASE_PATH . SYS_PATH . '/content/pages.php' . $goToPage);
    }

// Else throw a exception/error.
} catch (Exception $e) {

    include_once 'init.php';
    include_once '../includes/error.header.php';
    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 0 0;\">" . $e->getMessage() . "</p>\n");
    include_once '../includes/footer.php';

}

?>
