<?php

/**
 * Phire Get Site 404s
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/config.check.php';

$back = $lang->__('Back');
$pg_url = $lang->__('Page URL');
$reqs_404 = $lang->__('404 Requests');
$clear = $lang->__('Clear?');
$clear_btn = $lang->__('Clear');

$int_sort_id = 'page_url';
$tableHeader = "<tr><td class=\"grayHeader\" style=\"padding: 0 0 0 25px; text-align: left;\"><strong>{$pg_url}</strong></td><td class=\"grayHeader\" style=\"padding: 0; text-align: center;\"><strong>{$reqs_404}</strong></td><td class=\"grayHeader\" style=\"padding: 0; width: 7%; text-align: center;\"><strong>{$clear}</strong></td></tr>";
require_once '../core/process/calculate.sort.php';

try {

    $site404s = new Phire_Table_Sites();

    // Get user's allowed sites.
    if (isset($sess->sites)) {

        $site_ids = array();
        foreach ($sess->sites as $value) {
            $site_ids[] = "site_id = '" . $value . "'";
        }
        $sql = "SELECT * FROM " . DB_PREFIX . "404s WHERE site_id = '" . (string)Moc10_String::setString($_GET['sid'])->escape(true)->striptags() . "' ORDER BY " . $sort;

        $site404s->execute($sql);

    }

    if (isset($site404s->rows[0])) {

        // Print the table header.
        print <<<TABLEHEADER
        <form id="sitesForm" action="../core/process/clear.404s.php" method="post" onsubmit="return sitesFrm.checkValidate('URL');">
            <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><input style="margin: 0 3.0% 0 0; float: right;" type="checkbox" class="checkBox" id="check_all" name="check_all" value="all" onclick="formCheckAll(this, sitesFrm, 'rm_404s');" />&lt;&lt;&lt; <a class="orangeLink" href="./sites.php">{$back}</a></td></tr></table>
            <table id="dataTable" cellpadding="0" cellspacing="0">
                {$tableHeader}

TABLEHEADER;

        $id = null;

        // Iterate through each site, formatting and printing it to a row.
        foreach ($site404s->rows as $site) {
            print("                <tr><td style=\"padding: 0 0 0 25px; text-align: left;\">{$site->page_url}</td><td style=\"padding: 0; text-align: center;\">{$site->requests}</td><td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" id=\"rm_404s{$id}\" name=\"rm_404s[]\" value=\"" . Moc10_String::setString($site->page_url)->html() . "\" /></td></tr>\n");
        }

        // Print the table footer.
        print <<<TABLEFOOTER
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><input style="float: right;" type="submit" class="submitRedBtn" value="{$clear_btn}" /><input type="hidden" name="site_id" value="{$_GET['sid']}" /></td></tr></table>
        </form>
        <script type="text/javascript">
            sitesFormInit();
        </script>

TABLEFOOTER;

    // Else, print a no results table.
    } else {

        $no404s = $lang->__('There are currently no 404 requests for this site.');

        print <<<TABLEHEADER
        <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td>&lt;&lt;&lt; <a class="orangeLink" href="./sites.php">{$back}</a></td></tr></table>
        <table id="dataTable" cellpadding="0" cellspacing="0">
            {$tableHeader}
            <tr><td colspan="3" style="padding: 25px;">{$no404s}</td></tr>
        </table>

TABLEHEADER;

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
