<?php

/**
 * Phire Get Themes
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/config.check.php';

$dload = $lang->__('Download Themes');
$thme = $lang->__('Theme');
$ste = $lang->__('Site');
$tmpls = $lang->__('# of Templates');
$vrsn = $lang->__('Version');
$auth = $lang->__('Author');
$reimpt_q = $lang->__('Re-Import?');
$reimpt = $lang->__('Re-Import');
$remove = $lang->__('Remove?');
$remove_btn = $lang->__('Remove');

$int_sort_id = 'theme_id';
$tableHeader = "<tr><td class=\"grayHeader\" style=\"width: 7%; text-align: center;\"><a class=\"grayLink\" href=\"./themes.php?sort=theme_id\">ID #</a></td><td class=\"grayHeader\" style=\"width: 30%; text-align: left;\"><a class=\"grayLink\" href=\"./themes.php?sort=theme_name\">{$thme}</a></td><td class=\"grayHeader\" style=\"padding: 0; text-align: left;\"><a class=\"grayLink\" href=\"./themes.php?sort=site_id\">{$ste}</a></td><td class=\"grayHeader\" style=\"width: 10%; padding: 0; text-align: center;\"><strong>{$tmpls}</strong></td><td class=\"grayHeader\" style=\"width: 10%; padding: 0; text-align: center;\"><strong>{$vrsn}</strong></td><td class=\"grayHeader\" style=\"width: 15%; padding: 0; text-align: left;\"><strong>{$auth}</strong></td><td class=\"grayHeader\" style=\"width: 10%; padding: 0; text-align: center;\"><strong>{$reimpt_q}</strong></td><td class=\"grayHeader\" style=\"padding: 0; width: 7%; text-align: center;\"><strong>{$remove}</strong></td></tr>";
$dir2Chk = './themes';

require_once '../core/process/calculate.sort.php';
require_once '../core/process/check.themes.php';

try {

    if (count($newThemes) > 0) {
        $installThemes = " <span class=\"grayPad\">|</span> " . $lang->__('New themes have been detected. %1Click here%2 to install.', array("<a class=\"orangeLink\" href=\"../core/process/install.themes.php\">", "</a>"));
    } else {
        $installThemes = "";
    }

    $themes = new Phire_Table_Themes();

    // Get user's allowed sites.
    if (isset($sess->sites)) {

        $site_ids = array();
        foreach ($sess->sites as $value) {
            $site_ids[] = "site_id = '" . $value . "'";
        }
        $sql = "SELECT * FROM " . DB_PREFIX . "themes WHERE " . implode(' OR ', $site_ids) . " ORDER BY " . $sort;

        $themes->execute($sql);

    }

    if (isset($themes->rows[0])) {

        // Print the table header.
        print <<<TABLEHEADER
        <form id="themesForm" action="./themes.php" method="post" onsubmit="return themesFrm.checkValidate('theme', true);">
            <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><input style="margin: 0 3% 0 0; float: right;" type="checkbox" class="checkBox" id="check_all" name="check_all" value="all" onclick="formCheckAll(this, themesFrm, 'rm_themes');" /><a class="orangeLink" href="./download-themes.php">{$dload}</a>{$installThemes}</td></tr></table>
            <table id="dataTable" cellpadding="0" cellspacing="0">
                {$tableHeader}

TABLEHEADER;

        $id = null;

        // Iterate through each session, formatting and printing it to a row.
        foreach ($themes->rows as $theme) {

            $theme_name = Moc10_String::setString($theme->theme_name)->strip()->html();

            $site = new Phire_Table_Sites();
            $site->findById($theme->site_id);

            if ($theme->templates != '') {
                $numAry = explode('|', $theme->templates);
            } else {
                $numAry = array();
            }

            if ((file_exists($site->site_docroot . BASE_PATH . CONTENT_PATH . '/extensions/themes/' . $theme->theme_folder . '/' . $theme->theme_folder . '.jpg')) || (file_exists($site->site_docroot . BASE_PATH . CONTENT_PATH . '/extensions/themes/' . $theme->theme_folder . '/' . $theme->theme_folder . '.jpe')) || (file_exists($site->site_docroot . BASE_PATH . CONTENT_PATH . '/extensions/themes/' . $theme->theme_folder . '/' . $theme->theme_folder . '.jpeg')) || (file_exists($site->site_docroot . BASE_PATH . CONTENT_PATH . '/extensions/themes/' . $theme->theme_folder . '/' . $theme->theme_folder . '.png')) || (file_exists($site->site_docroot . BASE_PATH . CONTENT_PATH . '/extensions/themes/' . $theme->theme_folder . '/' . $theme->theme_folder . '.gif'))) {
                $theme_name_full = "<strong>{$theme_name}</strong><br /><img class=\"themeThumb\" src=\"http://{$site->site_domain}" . BASE_PATH . CONTENT_PATH . "/extensions/themes/{$theme->theme_folder}/{$theme->theme_folder}.jpg\" width=\"120\" alt=\"\" />";
            } else {
                $theme_name_full = "<strong>{$theme_name}</strong>";
            }

            if (strpos($theme_name_full, '<img') !== false) {
                print("                <tr><td style=\"padding: 7px 0 7px 0; text-align: center; vertical-align: top;\">{$theme->theme_id}</td><td style=\"padding: 7px 0 7px 0; text-align: left; vertical-align: top;\">{$theme_name_full}</td><td style=\"padding: 7px 0 7px 0; text-align: left; vertical-align: top;\">{$site->site_domain}</td><td style=\"padding: 7px 0 7px 0; text-align: center; vertical-align: top;\">" . count($numAry) . "</td><td style=\"padding: 7px 0 7px 0; text-align: center; vertical-align: top;\">{$theme->theme_version}</td><td style=\"padding: 7px 0 7px 0; text-align: left; vertical-align: top;\">{$theme->theme_author}</td><td style=\"padding: 7px 0 7px 0; text-align: center; vertical-align: top;\"><a href=\"../core/process/reimport.theme.php?tid={$theme->theme_id}\" onclick=\"return themesFrm.reimportValidate();\">{$reimpt}</a></td><td style=\"padding: 3px 0 7px 0; text-align: center; vertical-align: top;\"><input type=\"checkbox\" class=\"checkBox\" id=\"rm_themes{$id}\" name=\"rm_themes[]\" value=\"{$theme->theme_id}\" /></td></tr>\n");
            } else {
                print("                <tr><td style=\"text-align: center;\">{$theme->theme_id}</td><td style=\"text-align: left;\">{$theme_name_full}</td><td style=\"text-align: left;\">{$site->site_domain}</td><td style=\"text-align: center;\">" . count($numAry) . "</td><td style=\"text-align: center;\">{$theme->theme_version}</td><td style=\"text-align: left;\">{$theme->theme_author}</td><td style=\"text-align: center;\"><a href=\"../core/process/reimport.theme.php?tid={$theme->theme_id}\" onclick=\"return themesFrm.reimportValidate();\">Re-Import</a></td><td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" id=\"rm_themes{$id}\" name=\"rm_themes[]\" value=\"{$theme->theme_id}\" /></td></tr>\n");
            }
            $id++;

        }

        // Print the table footer.
        print <<<TABLEFOOTER
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><input style="float: right;" type="submit" class="submitRedBtn" value="{$remove_btn}" /></td></tr></table>
        </form>
        <script type="text/javascript">
            themesFormInit();
        </script>

TABLEFOOTER;

    // Else, print a no results table.
    } else {

        $nothemes= $lang->__('There are currently no themes.');

        print <<<TABLEHEADER
        <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><a class="orangeLink" href="./download-themes.php">{$dload}</a>{$installThemes}</td></tr></table>
        <table id="dataTable" cellpadding="0" cellspacing="0">
            {$tableHeader}
            <tr><td colspan="8" style="padding: 25px;">{$nothemes}</td></tr>
        </table>

TABLEHEADER;

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
