<?php

/**
 * Phire Index
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once 'bootstrap.php';

// Check if the path constants is defined or not.
if (!defined('BASE_PATH') || !defined('SYS_PATH') || !defined('CONTENT_PATH')) {

    print("You must set up the 'config.php' file correctly. Please refer to the INSTALL.TXT for help.");

// Else, check the BASE_PATH.
} else if (defined('BASE_PATH') && !file_exists($_SERVER['DOCUMENT_ROOT'] . BASE_PATH)) {

    print("The BASE_PATH you defined does not exist. Please check the settings in the 'config.php' file and refer to the INSTALL.TXT for help.");

// Else, check the SYS_PATH.
} else if (defined('SYS_PATH') && !file_exists($_SERVER['DOCUMENT_ROOT'] . BASE_PATH . SYS_PATH)) {

    print("The SYS_PATH you defined does not exist. Please check the settings in the 'config.php' file and refer to the INSTALL.TXT for help.");

// Else, check the CONTENT_PATH.
} else if (defined('CONTENT_PATH') && !file_exists($_SERVER['DOCUMENT_ROOT'] . BASE_PATH . CONTENT_PATH)) {

    print("The CONTENT_PATH you defined does not exist. Please check the settings in the 'config.php' file and refer to the INSTALL.TXT for help.");

// Else, if the system is not properly configured or installed.
} else {

    require_once 'core/process/system.check.php';
    include_once 'core/process/init.php';

    if ($sys_check == false) {

        include_once 'core/includes/failed.php';

    // Else, process the index page.
    } else {

        require_once 'core/process/session.check.php';
        include_once 'core/includes/header.php';

?>
        <h2 class="blueHeader"><?php $lang->_e('Welcome to Phire CMS.'); ?></h2>
<?php

        include_once 'core/process/dashboard.php';
        include_once 'core/includes/footer.php';

    }

}

?>